Result of Notify event.

### Hierarchy

- Result

## Index

### Properties

- GasConsumed
- Notify
- State
- TxHash
- Version

### Methods

- deserialize

## Properties

### GasConsumed

GasConsumed: number

- Defined in claim/attestNotifyEvent.ts:82

### Notify

Notify: [object]

- Defined in claim/attestNotifyEvent.ts:83

### State

State: number

- Defined in claim/attestNotifyEvent.ts:81

State = 1 : smartcontract executation success State = 0 : smartcontract executation failure

### TxHash

TxHash: string

- Defined in claim/attestNotifyEvent.ts:76

### Version

Version: string

- Defined in claim/attestNotifyEvent.ts:90

## Methods

### Static deserialize

- deserialize(r: any): Result

- - Defined in claim/attestNotifyEvent.ts:60

  Deserializes result from event.

  States are hex encoded.

  #### Parameters

  - ##### r: any

    encoded result

  #### Returns Result

Generated using TypeDoc